
<template>
    <v-data-table id="previewTable" :items="data" :headers="previewTableHeaders"
        :footer-props="{'items-per-page-options': [20, 50, 100, -1]}" dense no-data-text="No changes"
        :items-per-page="20">
        <template v-slot:item.complianceFramework="{ item }">
            <div v-if="item.hasComplianceFramework">
                <v-icon small :color="item.complianceFramework.color">mdi-circle</v-icon> {{
                item.complianceFramework.name }}
            </div>
            <div v-else>
                <v-icon small color="grey">mdi-circle-outline</v-icon> No Framework
            </div>
        </template>
        <template v-slot:item.newComplianceFramework="{ item }">
            <!-- <div><v-icon small :color="item.newComplianceFramework.color">mdi-circle</v-icon> {{ item.newComplianceFramework.name }}</div> -->
            <div v-if="item.newComplianceFramework != null">
                <v-icon small :color="item.newComplianceFramework.color">mdi-circle</v-icon> {{
                item.newComplianceFramework.name }}
            </div>
            <div v-else>
                <v-icon small color="grey">mdi-circle-outline</v-icon> No Framework
            </div>
        </template>
        <template v-slot:item.webUrl="{ item }">
            <td>
                <v-btn x-small icon :href="item.webUrl" target="_blank">
                    <v-icon color="primary">mdi-open-in-new</v-icon>
                </v-btn>
            </td>
        </template>
    </v-data-table>
</template>

<script lang="ts">
import { Component, Vue, Prop } from 'vue-property-decorator'

@Component
export default class PreviewProjectChanges extends Vue {
    @Prop({ default: [] })
    data!: any[]

    previewTableHeaders = [
      {
        text: 'Project Name',
        value: 'name',
        sortable: true
      },
      {
        text: 'Path',
        value: 'path'
      },
      {
        text: 'Current Framework',
        value: 'complianceFramework',
        sortable: true
      },
      {
        text: 'New Framework',
        value: 'newComplianceFramework'
      },
      {
        text: '',
        value: 'webUrl',
        sortable: false
      }
    ]
}
</script>
